# The Componere\Value class

(Componere 2 >= 2.1.0)

## Introduction

A Value represents a PHP variable of all types, including undefined

## Class synopsis

final Componere\Value {
/* Constructor */
public __construct ([ `$default` ] )
/* Methods */
public setPrivate ( void ) : Value
public setProtected ( void ) : Value
public setStatic ( void ) : Value
public isPrivate ( void ) : bool
public isProtected ( void ) : bool
public isStatic ( void ) : bool
public hasDefault ( void ) : bool
}

## Table of Contents

- Componere\Value::__construct — Value Construction
- Componere\Value::setPrivate — Accessibility Modification
- Componere\Value::setProtected — Accessibility Modification
- Componere\Value::setStatic — Accessibility Modification
- Componere\Value::isPrivate — Accessibility Detection
- Componere\Value::isProtected — Accessibility Detection
- Componere\Value::isStatic — Accessibility Detection
- Componere\Value::hasDefault — Value Interaction